> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create multiple bank accounts



## OpenAPI

````yaml /openapi/bank-accounts.json post /bank-accounts/batch
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /bank-accounts/batch:
    post:
      tags:
        - Bank Accounts
      summary: Create multiple bank accounts
      operationId: bankAccounts.createMany
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                items:
                  type: array
                  minItems: 1
                  maxItems: 250
                  items:
                    anyOf:
                      - type: object
                        properties:
                          clientId:
                            type: string
                            format: uuid
                          accountNumber:
                            type: string
                            minLength: 1
                            description: Account Number
                          bankName:
                            type: string
                            minLength: 1
                            description: Bank Name
                          bankCode:
                            type: string
                            description: Bank Code
                          country:
                            const: MX
                            description: Country
                          currency:
                            type: string
                            description: Currency
                          type:
                            enum:
                              - checking
                              - savings
                              - investment
                              - other
                            type: string
                            description: Type
                            default: checking
                          isPrimary:
                            type: boolean
                            description: Is Primary
                          isActive:
                            type: boolean
                            description: Is Active
                          label:
                            type: string
                            description: Label
                          externalId:
                            type: string
                            description: External ID
                          metadata:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                            description: Metadata
                          clabe:
                            type: string
                            minLength: 18
                            description: CLABE
                          codigoBanco:
                            type: string
                            minLength: 3
                            maxLength: 3
                            description: Bank Code
                          codigoPlaza:
                            type: string
                            minLength: 3
                            maxLength: 3
                            description: Plaza Code
                        required:
                          - clientId
                          - accountNumber
                          - bankName
                          - country
                          - currency
                      - type: object
                        properties:
                          clientId:
                            type: string
                            format: uuid
                          accountNumber:
                            type: string
                            minLength: 1
                            description: Account Number
                          bankName:
                            type: string
                            minLength: 1
                            description: Bank Name
                          bankCode:
                            type: string
                            description: Bank Code
                          country:
                            type: string
                            description: Country
                          currency:
                            type: string
                            description: Currency
                          type:
                            enum:
                              - checking
                              - savings
                              - investment
                              - other
                            type: string
                            description: Type
                            default: checking
                          isPrimary:
                            type: boolean
                            description: Is Primary
                          isActive:
                            type: boolean
                            description: Is Active
                          label:
                            type: string
                            description: Label
                          externalId:
                            type: string
                            description: External ID
                          metadata:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                            description: Metadata
                        required:
                          - clientId
                          - accountNumber
                          - bankName
                          - country
                          - currency
                atomic:
                  type: boolean
                  default: true
              required:
                - items
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      atomic:
                        const: true
                      data:
                        type: array
                        items:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                clientId:
                                  type: string
                                  format: uuid
                                accountNumber:
                                  type: string
                                  minLength: 1
                                  description: Account Number
                                bankName:
                                  type: string
                                  minLength: 1
                                  description: Bank Name
                                bankCode:
                                  type: string
                                  description: Bank Code
                                country:
                                  const: MX
                                currency:
                                  type: string
                                  description: Currency
                                type:
                                  enum:
                                    - checking
                                    - savings
                                    - investment
                                    - other
                                  type: string
                                  description: Type
                                  default: checking
                                isPrimary:
                                  type: boolean
                                  description: Is Primary
                                isActive:
                                  type: boolean
                                  description: Is Active
                                label:
                                  type: string
                                  description: Label
                                externalId:
                                  type: string
                                  description: External ID
                                metadata:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                  description: Metadata
                                clabe:
                                  description: CLABE
                                codigoBanco:
                                  type: string
                                  minLength: 3
                                  maxLength: 3
                                  description: Bank Code
                                codigoPlaza:
                                  type: string
                                  minLength: 3
                                  maxLength: 3
                                  description: Plaza Code
                                createdAt:
                                  type: string
                                  format: date-time
                                updatedAt:
                                  type: string
                                  format: date-time
                              required:
                                - id
                                - clientId
                                - accountNumber
                                - bankName
                                - country
                                - currency
                                - createdAt
                                - updatedAt
                            - type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                clientId:
                                  type: string
                                  format: uuid
                                accountNumber:
                                  type: string
                                  minLength: 1
                                  description: Account Number
                                bankName:
                                  type: string
                                  minLength: 1
                                  description: Bank Name
                                bankCode:
                                  type: string
                                  description: Bank Code
                                country: {}
                                currency:
                                  type: string
                                  description: Currency
                                type:
                                  enum:
                                    - checking
                                    - savings
                                    - investment
                                    - other
                                  type: string
                                  description: Type
                                  default: checking
                                isPrimary:
                                  type: boolean
                                  description: Is Primary
                                isActive:
                                  type: boolean
                                  description: Is Active
                                label:
                                  type: string
                                  description: Label
                                externalId:
                                  type: string
                                  description: External ID
                                metadata:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                  description: Metadata
                                createdAt:
                                  type: string
                                  format: date-time
                                updatedAt:
                                  type: string
                                  format: date-time
                              required:
                                - id
                                - clientId
                                - accountNumber
                                - bankName
                                - currency
                                - createdAt
                                - updatedAt
                    required:
                      - atomic
                      - data
                  - type: object
                    properties:
                      atomic:
                        const: false
                      succeeded:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            data:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    clientId:
                                      type: string
                                      format: uuid
                                    accountNumber:
                                      type: string
                                      minLength: 1
                                      description: Account Number
                                    bankName:
                                      type: string
                                      minLength: 1
                                      description: Bank Name
                                    bankCode:
                                      type: string
                                      description: Bank Code
                                    country:
                                      const: MX
                                    currency:
                                      type: string
                                      description: Currency
                                    type:
                                      enum:
                                        - checking
                                        - savings
                                        - investment
                                        - other
                                      type: string
                                      description: Type
                                      default: checking
                                    isPrimary:
                                      type: boolean
                                      description: Is Primary
                                    isActive:
                                      type: boolean
                                      description: Is Active
                                    label:
                                      type: string
                                      description: Label
                                    externalId:
                                      type: string
                                      description: External ID
                                    metadata:
                                      type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties: {}
                                      description: Metadata
                                    clabe:
                                      description: CLABE
                                    codigoBanco:
                                      type: string
                                      minLength: 3
                                      maxLength: 3
                                      description: Bank Code
                                    codigoPlaza:
                                      type: string
                                      minLength: 3
                                      maxLength: 3
                                      description: Plaza Code
                                    createdAt:
                                      type: string
                                      format: date-time
                                    updatedAt:
                                      type: string
                                      format: date-time
                                  required:
                                    - id
                                    - clientId
                                    - accountNumber
                                    - bankName
                                    - country
                                    - currency
                                    - createdAt
                                    - updatedAt
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    clientId:
                                      type: string
                                      format: uuid
                                    accountNumber:
                                      type: string
                                      minLength: 1
                                      description: Account Number
                                    bankName:
                                      type: string
                                      minLength: 1
                                      description: Bank Name
                                    bankCode:
                                      type: string
                                      description: Bank Code
                                    country: {}
                                    currency:
                                      type: string
                                      description: Currency
                                    type:
                                      enum:
                                        - checking
                                        - savings
                                        - investment
                                        - other
                                      type: string
                                      description: Type
                                      default: checking
                                    isPrimary:
                                      type: boolean
                                      description: Is Primary
                                    isActive:
                                      type: boolean
                                      description: Is Active
                                    label:
                                      type: string
                                      description: Label
                                    externalId:
                                      type: string
                                      description: External ID
                                    metadata:
                                      type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties: {}
                                      description: Metadata
                                    createdAt:
                                      type: string
                                      format: date-time
                                    updatedAt:
                                      type: string
                                      format: date-time
                                  required:
                                    - id
                                    - clientId
                                    - accountNumber
                                    - bankName
                                    - currency
                                    - createdAt
                                    - updatedAt
                          required:
                            - index
                            - data
                      failed:
                        type: array
                        items:
                          type: object
                          properties:
                            index:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            error:
                              type: object
                              properties:
                                code:
                                  enum:
                                    - VALIDATION_ERROR
                                    - NOT_FOUND
                                    - UNAUTHORIZED
                                    - FORBIDDEN
                                    - RATE_LIMITED
                                    - CONFLICT
                                    - INTERNAL_ERROR
                                    - SERVICE_UNAVAILABLE
                                    - INVALID_OPERATION
                                    - COMPLIANCE_ERROR
                                  type: string
                                message:
                                  type: string
                              required:
                                - code
                                - message
                          required:
                            - index
                            - error
                    required:
                      - atomic
                      - succeeded
                      - failed
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````